<?xml version="1.0" encoding="utf-8"?>
<ScrollView xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:overScrollMode="never"
    android:scrollbars="none">

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:paddingBottom="23dp">


        <ImageView
            android:id="@+id/iv_header_bg"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:adjustViewBounds="true"
            android:scaleType="fitXY"
            android:src="@drawable/bg_mine_header"
            app:layout_constraintRight_toRightOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <View
            android:id="@+id/view_status_bar"
            android:layout_width="match_parent"
            android:layout_height="1px"
            app:layout_constraintTop_toTopOf="parent" />

        <ImageView
            android:id="@+id/iv_scan"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:padding="6dp"
            android:src="@drawable/icon_scan_for_teacher"
            android:visibility="gone"
            app:layout_constraintBottom_toBottomOf="@+id/iv_setting"
            app:layout_constraintRight_toLeftOf="@+id/iv_setting"
            app:layout_constraintTop_toTopOf="@+id/iv_setting" />

        <ImageView
            android:id="@+id/iv_setting"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="16dp"
            android:layout_marginEnd="12dp"
            android:padding="6dp"
            android:src="@drawable/icon_setting_teacher"
            app:layout_constraintRight_toRightOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/view_status_bar" />

        <de.hdodenhof.circleimageview.CircleImageView
            android:id="@+id/iv_avatar"
            android:layout_width="60dp"
            android:layout_height="60dp"
            android:layout_marginStart="14dp"
            android:layout_marginTop="48dp"
            android:src="@drawable/icon_teacher_default_head"
            app:civ_border_color="@color/white"
            app:civ_border_width="2dp"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/view_status_bar" />

        <TextView
            android:id="@+id/tv_nickname"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginStart="10dp"
            android:includeFontPadding="false"
            android:textColor="@color/color_1a1a1a"
            android:textSize="@dimen/sp_18"
            android:maxLines="1"
            android:ellipsize="end"
            app:layout_constraintWidth_default="wrap"
            app:layout_constraintHorizontal_bias="0"
            app:layout_constraintHorizontal_chainStyle="packed"
            app:layout_constraintBottom_toTopOf="@+id/tv_badge_title"
            app:layout_constraintLeft_toRightOf="@+id/iv_avatar"
            app:layout_constraintTop_toTopOf="@+id/iv_avatar"
            app:layout_constraintRight_toLeftOf="@+id/iv_edu_cert"
            tools:text="测试昵称" />


        <ImageView
            android:id="@+id/iv_edu_cert"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="8dp"
            android:src="@drawable/icon_education_cert"
            android:visibility="gone"
            tools:visibility="visible"
            app:layout_constraintRight_toLeftOf="@+id/iv_teacher_cert"
            app:layout_constraintBottom_toBottomOf="@+id/tv_nickname"
            app:layout_constraintLeft_toRightOf="@+id/tv_nickname"
            app:layout_constraintTop_toTopOf="@+id/tv_nickname" />

        <ImageView
            android:layout_marginEnd="21dp"
            android:id="@+id/iv_teacher_cert"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="6dp"
            android:src="@drawable/icon_teacher_cert"
            android:visibility="gone"
            tools:visibility="visible"
            app:layout_constraintRight_toRightOf="parent"
            app:layout_constraintBottom_toBottomOf="@+id/tv_nickname"
            app:layout_constraintLeft_toRightOf="@+id/iv_edu_cert"
            app:layout_constraintTop_toTopOf="@+id/tv_nickname" />

        <View
            android:id="@+id/vip_help_view"
            android:layout_width="1px"
            android:layout_height="1px"
            app:layout_constraintBottom_toBottomOf="@+id/iv_avatar"
            app:layout_constraintLeft_toLeftOf="@+id/iv_avatar"
            app:layout_constraintRight_toRightOf="@+id/iv_avatar" />

        <ImageView
            android:id="@+id/iv_vip"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="6dp"
            android:src="@drawable/icon_vip_enable"
            app:layout_constraintBottom_toBottomOf="@+id/vip_help_view"
            app:layout_constraintLeft_toLeftOf="@+id/iv_avatar"
            app:layout_constraintRight_toRightOf="@+id/iv_avatar"
            app:layout_constraintTop_toTopOf="@+id/vip_help_view" />

        <TextView
            android:id="@+id/tv_badge_title"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="10dp"
            android:includeFontPadding="false"
            android:text="勋章:"
            android:textColor="@color/color_666666"
            android:textSize="@dimen/sp_12"
            app:layout_constraintBottom_toBottomOf="@+id/iv_avatar"
            app:layout_constraintLeft_toLeftOf="@+id/tv_nickname"
            app:layout_constraintTop_toBottomOf="@+id/tv_nickname" />

        <com.cooleshow.base.widgets.BadgeIconListView
            android:id="@+id/ll_badge"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:visibility="visible"
            app:layout_constraintBottom_toBottomOf="@+id/tv_badge_title"
            app:layout_constraintLeft_toRightOf="@+id/tv_badge_title"
            app:layout_constraintTop_toTopOf="@+id/tv_badge_title" />

        <TextView
            android:id="@+id/tv_score_title"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="15dp"
            android:includeFontPadding="false"
            android:text="评分:"
            android:textColor="@color/color_666666"
            android:textSize="@dimen/sp_12"
            app:layout_constraintBottom_toBottomOf="@+id/tv_badge_title"
            app:layout_constraintLeft_toRightOf="@+id/ll_badge"
            app:layout_constraintTop_toTopOf="@+id/tv_badge_title" />


        <RatingBar
            android:id="@+id/rating_bar"
            style="@style/HomeRatingBar"
            android:layout_width="wrap_content"
            android:layout_height="19dp"
            android:isIndicator="true"
            android:numStars="5"
            android:rating="0"
            android:stepSize="1"
            android:visibility="visible"
            app:layout_constraintBottom_toBottomOf="@+id/tv_score_title"
            app:layout_constraintLeft_toRightOf="@+id/tv_score_title"
            app:layout_constraintTop_toTopOf="@+id/tv_score_title" />

        <TextView
            android:id="@+id/tv_no_score"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="暂无评分"
            android:textSize="@dimen/sp_13"
            android:visibility="gone"
            app:layout_constraintBottom_toBottomOf="@+id/tv_score_title"
            app:layout_constraintLeft_toRightOf="@+id/tv_score_title"
            app:layout_constraintTop_toTopOf="@+id/tv_score_title" />

        <ImageView
            android:id="@+id/iv_certification_status"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginEnd="10dp"
            android:src="@drawable/icon_home_un_certification"
            android:visibility="gone"
            app:layout_constraintBottom_toBottomOf="@+id/iv_avatar"
            app:layout_constraintRight_toRightOf="parent"
            app:layout_constraintTop_toTopOf="@+id/iv_avatar"
            tools:visibility="gone" />


        <View
            android:id="@+id/certification_tip_help_view"
            android:layout_width="1px"
            android:layout_height="1px"
            android:layout_marginBottom="15dp"
            app:layout_constraintBottom_toBottomOf="@+id/iv_certification_status"
            app:layout_constraintLeft_toLeftOf="@+id/iv_certification_status" />

        <ImageView
            android:id="@+id/iv_un_certification_tip"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginEnd="10dp"
            android:src="@drawable/icon_home_certification_tip"
            android:visibility="gone"
            app:layout_constraintRight_toRightOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/certification_tip_help_view"
            tools:visibility="gone" />

        <View
            android:id="@+id/view_vip_bg"
            android:layout_width="match_parent"
            android:layout_height="@dimen/dp_82"
            android:layout_marginLeft="21dp"
            android:layout_marginTop="17dp"
            android:layout_marginRight="21dp"
            android:background="@drawable/icon_mine_vip_bg"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/iv_avatar"
            app:layout_goneMarginTop="30dp" />

        <View
            android:id="@+id/view_other_info_bg"
            android:layout_width="match_parent"
            android:layout_height="80dp"
            android:layout_marginStart="14dp"
            android:layout_marginTop="62dp"
            android:layout_marginEnd="14dp"
            android:background="@drawable/shape_8dp_white"
            app:layout_constraintTop_toBottomOf="@+id/iv_avatar" />


        <TextView
            android:id="@+id/tv_fans_title"
            android:layout_width="58dp"
            android:layout_height="28dp"
            android:layout_marginStart="29dp"
            android:layout_marginTop="1dp"
            android:layout_marginBottom="10dp"
            android:gravity="center"
            android:includeFontPadding="false"
            android:text="粉丝"
            android:textColor="@color/color_999999"
            android:textSize="@dimen/sp_14"
            app:layout_constraintBottom_toBottomOf="@+id/view_other_info_bg"
            app:layout_constraintHorizontal_chainStyle="spread_inside"
            app:layout_constraintLeft_toLeftOf="@+id/view_other_info_bg"
            app:layout_constraintRight_toLeftOf="@+id/tv_course_num_completed_title" />

        <View
            android:id="@+id/view_fans"
            android:layout_width="0dp"
            android:layout_height="0dp"
            app:layout_constraintBottom_toBottomOf="@+id/view_other_info_bg"
            app:layout_constraintLeft_toLeftOf="@+id/view_other_info_bg"
            app:layout_constraintRight_toLeftOf="@+id/view_line1"
            app:layout_constraintTop_toTopOf="@+id/view_other_info_bg" />


        <View
            android:id="@+id/view_line1"
            android:layout_width="0.5dp"
            android:layout_height="24dp"
            android:background="@color/color_eaeaea"
            app:layout_constraintBottom_toBottomOf="@+id/view_other_info_bg"
            app:layout_constraintLeft_toRightOf="@+id/tv_fans_title"
            app:layout_constraintRight_toLeftOf="@+id/tv_course_num_completed_title"
            app:layout_constraintTop_toTopOf="@+id/view_other_info_bg" />

        <TextView
            android:id="@+id/tv_course_num_completed_title"
            android:layout_width="58dp"
            android:layout_height="28dp"
            android:layout_marginTop="1dp"
            android:gravity="center"
            android:includeFontPadding="false"
            android:text="已上课时"
            android:textColor="@color/color_999999"
            android:textSize="@dimen/sp_14"
            app:layout_constraintLeft_toRightOf="@+id/tv_fans_title"
            app:layout_constraintRight_toLeftOf="@+id/tv_course_num_not_start_title"
            app:layout_constraintTop_toTopOf="@+id/tv_fans_title" />

        <View
            android:id="@+id/view_course_num_completed"
            android:layout_width="0dp"
            android:layout_height="0dp"
            app:layout_constraintBottom_toBottomOf="@+id/view_other_info_bg"
            app:layout_constraintLeft_toRightOf="@+id/view_line1"
            app:layout_constraintRight_toLeftOf="@+id/view_line2"
            app:layout_constraintTop_toTopOf="@+id/view_other_info_bg" />

        <View
            android:id="@+id/view_line2"
            android:layout_width="0.5dp"
            android:layout_height="24dp"
            android:background="@color/color_eaeaea"
            app:layout_constraintBottom_toBottomOf="@+id/view_other_info_bg"
            app:layout_constraintLeft_toRightOf="@+id/tv_course_num_completed_title"
            app:layout_constraintRight_toLeftOf="@+id/tv_course_num_not_start_title"
            app:layout_constraintTop_toTopOf="@+id/view_other_info_bg" />


        <TextView
            android:id="@+id/tv_course_num_not_start_title"
            android:layout_width="58dp"
            android:layout_height="28dp"
            android:layout_marginTop="1dp"
            android:layout_marginEnd="29dp"
            android:gravity="center"
            android:includeFontPadding="false"
            android:text="未上课时"
            android:textColor="@color/color_999999"
            android:textSize="@dimen/sp_14"
            app:layout_constraintLeft_toRightOf="@+id/tv_course_num_completed_title"
            app:layout_constraintRight_toRightOf="@+id/view_other_info_bg"
            app:layout_constraintTop_toTopOf="@+id/tv_fans_title" />

        <View
            android:id="@+id/view_course_num_not_start"
            android:layout_width="0dp"
            android:layout_height="0dp"
            app:layout_constraintBottom_toBottomOf="@+id/view_other_info_bg"
            app:layout_constraintLeft_toRightOf="@+id/view_line2"
            app:layout_constraintRight_toRightOf="@+id/view_other_info_bg"
            app:layout_constraintTop_toTopOf="@+id/view_other_info_bg" />


        <TextView
            android:id="@+id/tv_fans_num"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginBottom="1dp"
            android:includeFontPadding="false"
            android:text="0"
            android:textColor="@color/color_333333"
            android:textSize="@dimen/sp_22"
            android:textStyle="bold"
            app:layout_constraintBottom_toTopOf="@+id/tv_fans_title"
            app:layout_constraintLeft_toLeftOf="@+id/tv_fans_title"
            app:layout_constraintRight_toRightOf="@+id/tv_fans_title"
            tools:text="1181" />

        <TextView
            android:id="@+id/tv_course_num_completed"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:includeFontPadding="false"
            android:text="0"
            android:textColor="@color/color_333333"
            android:textSize="@dimen/sp_22"
            android:textStyle="bold"
            app:layout_constraintLeft_toLeftOf="@+id/tv_course_num_completed_title"
            app:layout_constraintRight_toRightOf="@+id/tv_course_num_completed_title"
            app:layout_constraintTop_toTopOf="@+id/tv_fans_num"
            tools:text="118" />


        <TextView
            android:id="@+id/tv_course_num_not_start"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:includeFontPadding="false"
            android:text="0"
            android:textColor="@color/color_333333"
            android:textSize="@dimen/sp_22"
            android:textStyle="bold"
            app:layout_constraintLeft_toLeftOf="@+id/tv_course_num_not_start_title"
            app:layout_constraintRight_toRightOf="@+id/tv_course_num_not_start_title"
            app:layout_constraintTop_toTopOf="@+id/tv_fans_num"
            tools:text="118" />


        <ImageView
            android:id="@+id/view_vip_star"
            android:layout_width="@dimen/dp_19"
            android:layout_height="@dimen/dp_18"
            android:layout_marginLeft="20dp"
            android:layout_marginTop="14dp"
            android:src="@drawable/icon_mine_vip_star"
            app:layout_constraintLeft_toLeftOf="@+id/view_vip_bg"
            app:layout_constraintTop_toTopOf="@+id/view_vip_bg" />


        <TextView
            android:id="@+id/tv_validity_start"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginLeft="8dp"
            android:text="会员有效期剩余"
            android:textColor="@color/color_7f6b3f"
            android:textSize="@dimen/sp_14"
            app:layout_constraintBottom_toBottomOf="@+id/view_vip_star"
            app:layout_constraintLeft_toRightOf="@+id/view_vip_star"
            app:layout_constraintTop_toTopOf="@+id/view_vip_star" />

        <TextView
            android:id="@+id/tv_validity"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="0"
            android:textColor="@color/color_7f6b3f"
            android:textSize="@dimen/sp_14"
            android:textStyle="bold"
            app:layout_constraintBottom_toBottomOf="@+id/view_vip_star"
            app:layout_constraintLeft_toRightOf="@+id/tv_validity_start"
            app:layout_constraintTop_toTopOf="@+id/view_vip_star"
            tools:text="321" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="天"
            android:textColor="@color/color_7f6b3f"
            android:textSize="@dimen/sp_14"
            app:layout_constraintBottom_toBottomOf="@+id/view_vip_star"
            app:layout_constraintLeft_toRightOf="@+id/tv_validity"
            app:layout_constraintTop_toTopOf="@+id/view_vip_star" />

        <ImageView
            android:id="@+id/im_vip"
            android:layout_width="@dimen/dp_74"
            android:layout_height="@dimen/dp_26"
            android:layout_marginRight="16dp"
            android:background="@drawable/icon_mine_vip_center"
            app:layout_constraintBottom_toBottomOf="@+id/view_vip_star"
            app:layout_constraintRight_toRightOf="@+id/view_vip_bg"
            app:layout_constraintTop_toTopOf="@+id/view_vip_star" />


        <View
            android:id="@+id/view_top_bg"
            android:layout_width="match_parent"
            android:layout_height="0dp"
            android:layout_marginStart="14dp"
            android:layout_marginTop="12dp"
            android:layout_marginEnd="14dp"
            android:background="@drawable/bg_white_10dp"
            app:layout_constraintBottom_toTopOf="@+id/top_bottom_view"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintRight_toRightOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/view_other_info_bg"
            app:layout_goneMarginTop="@dimen/dp_26" />

        <TextView
            android:id="@+id/tv_tools_use"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="15dp"
            android:layout_marginTop="15dp"
            android:includeFontPadding="false"
            android:text="常用工具"
            android:textColor="@color/color_333333"
            android:textSize="@dimen/sp_16"
            android:textStyle="bold"
            app:layout_constraintLeft_toLeftOf="@+id/view_top_bg"
            app:layout_constraintTop_toTopOf="@+id/view_top_bg" />

        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/recycler_view_tools"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginStart="7dp"
            android:layout_marginEnd="7dp"
            android:overScrollMode="never"
            android:scrollbars="none"
            app:layout_constraintLeft_toLeftOf="@+id/view_top_bg"
            app:layout_constraintRight_toRightOf="@+id/view_top_bg"
            app:layout_constraintTop_toBottomOf="@+id/tv_tools_use" />

        <TextView
            android:id="@+id/tv_mine_page"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="12dp"
            android:drawableTop="@drawable/icon_mine_page"
            android:drawablePadding="@dimen/dp_3"
            android:gravity="center"
            android:includeFontPadding="false"
            android:text="@string/mine_page_str"
            android:textColor="@color/color_333333"
            android:textSize="@dimen/sp_13"
            android:visibility="gone"
            app:layout_constraintLeft_toLeftOf="@+id/view_top_bg"
            app:layout_constraintRight_toLeftOf="@+id/tv_mine_income"
            app:layout_constraintTop_toBottomOf="@+id/tv_tools_use" />

        <TextView
            android:id="@+id/tv_mine_income"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:drawableTop="@drawable/icon_mine_income"
            android:drawablePadding="@dimen/dp_3"
            android:includeFontPadding="false"
            android:text="我的收入"
            android:textColor="@color/color_333333"
            android:textSize="@dimen/sp_13"
            android:visibility="gone"
            app:layout_constraintLeft_toRightOf="@+id/tv_mine_page"
            app:layout_constraintRight_toLeftOf="@+id/tv_mine_style"
            app:layout_constraintTop_toTopOf="@+id/tv_mine_page" />


        <TextView
            android:id="@+id/tv_mine_style"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:drawableTop="@drawable/icon_mine_style"
            android:drawablePadding="@dimen/dp_3"
            android:includeFontPadding="false"
            android:text="个人风采"
            android:textColor="@color/color_333333"
            android:textSize="@dimen/sp_13"
            android:visibility="gone"
            app:layout_constraintLeft_toRightOf="@+id/tv_mine_income"
            app:layout_constraintRight_toLeftOf="@+id/iv_goods_order"
            app:layout_constraintTop_toTopOf="@+id/tv_mine_page" />


        <TextView
            android:id="@+id/iv_goods_order"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:drawableTop="@drawable/icon_goods_order"
            android:drawablePadding="@dimen/dp_3"
            android:includeFontPadding="false"
            android:text="商品订单"
            android:textColor="@color/color_333333"
            android:textSize="@dimen/sp_13"
            android:visibility="gone"
            app:layout_constraintLeft_toRightOf="@+id/tv_mine_style"
            app:layout_constraintRight_toRightOf="@+id/view_top_bg"
            app:layout_constraintTop_toTopOf="@+id/tv_mine_style" />

        <TextView
            android:id="@+id/tv_sheet_music"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="17dp"
            android:drawableTop="@drawable/icon_mine_sheet_music"
            android:drawablePadding="@dimen/dp_3"
            android:gravity="center"
            android:includeFontPadding="false"
            android:minWidth="@dimen/dp_52"
            android:text="我的乐谱"
            android:textColor="@color/color_333333"
            android:textSize="@dimen/sp_13"
            android:visibility="gone"
            app:layout_constraintLeft_toLeftOf="@+id/tv_mine_page"
            app:layout_constraintRight_toRightOf="@+id/tv_mine_page"
            app:layout_constraintTop_toBottomOf="@+id/tv_mine_page" />

        <TextView
            android:id="@+id/tv_mine_course"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:drawableTop="@drawable/icon_mine_course"
            android:drawablePadding="@dimen/dp_3"
            android:gravity="center"
            android:includeFontPadding="false"
            android:minWidth="@dimen/dp_52"
            android:text="我的课程"
            android:textColor="@color/color_333333"
            android:textSize="@dimen/sp_13"
            android:visibility="gone"
            app:layout_constraintLeft_toLeftOf="@+id/tv_mine_income"
            app:layout_constraintRight_toRightOf="@+id/tv_mine_income"
            app:layout_constraintTop_toTopOf="@+id/tv_sheet_music" />

        <TextView
            android:id="@+id/tv_mine_coupon"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:drawableTop="@drawable/icon_mine_coupon"
            android:drawablePadding="@dimen/dp_3"
            android:gravity="center"
            android:includeFontPadding="false"
            android:minWidth="@dimen/dp_52"
            android:text="我的优惠券"
            android:textColor="@color/color_333333"
            android:textSize="@dimen/sp_13"
            android:visibility="gone"
            app:layout_constraintLeft_toLeftOf="@+id/tv_mine_style"
            app:layout_constraintRight_toRightOf="@+id/tv_mine_style"
            app:layout_constraintTop_toTopOf="@+id/tv_sheet_music" />

        <View
            android:id="@+id/top_bottom_view"
            android:layout_width="1px"
            android:layout_height="1px"
            android:layout_marginTop="24dp"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/recycler_view_tools" />

        <View
            android:id="@+id/view_bottom_bg"
            android:layout_width="match_parent"
            android:layout_height="0dp"
            android:layout_marginStart="14dp"
            android:layout_marginTop="12dp"
            android:layout_marginEnd="14dp"
            android:background="@drawable/shape_8dp_white"
            app:layout_constraintBottom_toTopOf="@+id/bottom_view_line"
            app:layout_constraintTop_toBottomOf="@+id/top_bottom_view" />


        <TextView
            android:id="@+id/tv_tools_teaching"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="15dp"
            android:layout_marginTop="15dp"
            android:includeFontPadding="false"
            android:text="教学工具"
            android:textColor="@color/color_333333"
            android:textSize="@dimen/sp_16"
            android:textStyle="bold"
            app:layout_constraintLeft_toLeftOf="@+id/view_bottom_bg"
            app:layout_constraintTop_toTopOf="@+id/view_bottom_bg" />


        <TextView
            android:id="@+id/tv_open_live"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="13dp"
            android:drawableTop="@drawable/icon_open_live"
            android:drawablePadding="@dimen/dp_3"
            android:includeFontPadding="false"
            android:text="我的直播"
            android:textColor="@color/color_333333"
            android:textSize="@dimen/sp_13"
            app:layout_constraintLeft_toLeftOf="@+id/view_bottom_bg"
            app:layout_constraintRight_toLeftOf="@+id/tv_live_course"
            app:layout_constraintTop_toBottomOf="@+id/tv_tools_teaching" />


        <TextView
            android:id="@+id/tv_live_course"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:drawableTop="@drawable/icon_live_course"
            android:drawablePadding="@dimen/dp_3"
            android:gravity="center"
            android:includeFontPadding="false"
            android:minWidth="@dimen/dp_52"
            android:text="直播课"
            android:textColor="@color/color_333333"
            android:textSize="@dimen/sp_13"
            app:layout_constraintLeft_toRightOf="@+id/tv_open_live"
            app:layout_constraintRight_toLeftOf="@+id/tv_video_course"
            app:layout_constraintTop_toTopOf="@+id/tv_open_live" />

        <TextView
            android:id="@+id/tv_video_course"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:drawableTop="@drawable/icon_video_course"
            android:drawablePadding="@dimen/dp_3"
            android:gravity="center"
            android:includeFontPadding="false"
            android:minWidth="@dimen/dp_52"
            android:text="视频课"
            android:textColor="@color/color_333333"
            android:textSize="@dimen/sp_13"
            app:layout_constraintLeft_toRightOf="@+id/tv_live_course"
            app:layout_constraintRight_toLeftOf="@+id/tv_piano_course"
            app:layout_constraintTop_toTopOf="@+id/tv_open_live" />

        <TextView
            android:id="@+id/tv_piano_course"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:drawableTop="@drawable/icon_mine_piano_course"
            android:drawablePadding="@dimen/dp_3"
            android:gravity="center"
            android:includeFontPadding="false"
            android:minWidth="48dp"
            android:text="云酷琴房"
            android:textColor="@color/color_333333"
            android:textSize="@dimen/sp_13"
            app:layout_constraintLeft_toRightOf="@+id/tv_video_course"
            app:layout_constraintRight_toRightOf="@+id/view_bottom_bg"
            app:layout_constraintTop_toTopOf="@+id/tv_open_live" />


        <TextView
            android:id="@+id/tv_sparing_course_set"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="17dp"
            android:drawableTop="@drawable/icon_sparing_course_set"
            android:drawablePadding="@dimen/dp_3"
            android:gravity="center"
            android:includeFontPadding="false"
            android:text="陪练课设置"
            android:textColor="@color/color_333333"
            android:textSize="@dimen/sp_13"
            app:layout_constraintLeft_toLeftOf="@+id/tv_open_live"
            app:layout_constraintRight_toRightOf="@+id/tv_open_live"
            app:layout_constraintTop_toBottomOf="@+id/tv_open_live" />


        <TextView
            android:id="@+id/tv_homework"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:drawableTop="@drawable/icon_mine_homework"
            android:drawablePadding="@dimen/dp_3"
            android:gravity="center"
            android:includeFontPadding="false"
            android:minWidth="48dp"
            android:text="课后作业"
            android:textColor="@color/color_333333"
            android:textSize="@dimen/sp_13"
            app:layout_constraintLeft_toLeftOf="@+id/tv_live_course"
            app:layout_constraintRight_toRightOf="@+id/tv_live_course"
            app:layout_constraintTop_toTopOf="@+id/tv_sparing_course_set" />

        <TextView
            android:id="@+id/tv_course_comment"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:drawableTop="@drawable/icon_mine_course_comment"
            android:drawablePadding="@dimen/dp_3"
            android:gravity="center"
            android:includeFontPadding="false"
            android:minWidth="48dp"
            android:text="课后评价"
            android:textColor="@color/color_333333"
            android:textSize="@dimen/sp_13"
            app:layout_constraintLeft_toLeftOf="@+id/tv_video_course"
            app:layout_constraintRight_toRightOf="@+id/tv_video_course"
            app:layout_constraintTop_toTopOf="@+id/tv_sparing_course_set" />

        <TextView
            android:id="@+id/tv_award"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:drawableTop="@drawable/icon_mine_award"
            android:drawablePadding="@dimen/dp_3"
            android:gravity="center"
            android:includeFontPadding="false"
            android:minWidth="48dp"
            android:text="活动奖品"
            android:textColor="@color/color_333333"
            android:textSize="@dimen/sp_13"
            app:layout_constraintLeft_toLeftOf="@+id/tv_piano_course"
            app:layout_constraintRight_toRightOf="@+id/tv_piano_course"
            app:layout_constraintTop_toTopOf="@+id/tv_sparing_course_set" />


        <View
            android:id="@+id/bottom_view_line"
            android:layout_width="1px"
            android:layout_height="1px"
            android:layout_marginTop="24dp"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/tv_sparing_course_set" />

        <androidx.constraintlayout.widget.ConstraintLayout
            android:id="@+id/cs_menu_usually"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginStart="14dp"
            android:layout_marginTop="12dp"
            android:layout_marginEnd="14dp"
            android:background="@drawable/bg_white_10dp"
            android:orientation="vertical"
            android:paddingTop="12dp"
            android:paddingBottom="12dp"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintRight_toRightOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/view_bottom_bg">

            <TextView
                android:id="@+id/tv_my_account"
                style="@style/me_btn_style"
                android:text="酷乐秀推广计划"
                android:textSize="@dimen/sp_16"
                android:visibility="gone"
                app:layout_constraintLeft_toLeftOf="parent"
                app:layout_constraintTop_toTopOf="parent" />

            <TextView
                android:id="@+id/tv_promote_income_tip"
                android:layout_width="wrap_content"
                android:layout_height="18dp"
                android:layout_marginEnd="25dp"
                android:text="累计收益0元"
                android:textColor="@color/color_999999"
                android:textSize="@dimen/sp_13"
                app:layout_constraintBottom_toBottomOf="@+id/tv_my_account"
                app:layout_constraintRight_toRightOf="@+id/tv_my_account"
                app:layout_constraintTop_toTopOf="@+id/tv_my_account" />

            <TextView
                android:id="@+id/tv_authentication"
                style="@style/me_btn_style"
                android:text="银行卡"
                android:textSize="@dimen/sp_16"
                android:visibility="visible"
                app:layout_constraintLeft_toLeftOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/tv_my_account" />


            <TextView
                android:id="@+id/tv_bank_card_bind_tip"
                android:layout_width="wrap_content"
                android:layout_height="18dp"
                android:layout_marginEnd="25dp"
                android:text="@string/no_bind_bank_card_tip"
                android:textColor="@color/color_999999"
                android:textSize="@dimen/sp_13"
                app:layout_constraintBottom_toBottomOf="@+id/tv_authentication"
                app:layout_constraintRight_toRightOf="@+id/tv_authentication"
                app:layout_constraintTop_toTopOf="@+id/tv_authentication" />

            <TextView
                android:id="@+id/tv_trade_record"
                style="@style/me_btn_style"
                android:text="交易记录"
                android:visibility="visible"
                app:layout_constraintLeft_toLeftOf="@+id/tv_authentication"
                app:layout_constraintTop_toBottomOf="@+id/tv_authentication" />

            <TextView
                android:id="@+id/tv_network_monitoring"
                style="@style/me_btn_style"
                android:text="网络检测"
                android:visibility="visible"
                app:layout_constraintLeft_toLeftOf="@+id/tv_authentication"
                app:layout_constraintTop_toBottomOf="@+id/tv_trade_record" />


            <TextView
                android:id="@+id/tv_equipment_testing"
                style="@style/me_btn_style"
                android:text="设备检测"
                android:visibility="visible"
                app:layout_constraintLeft_toLeftOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/tv_network_monitoring" />

        </androidx.constraintlayout.widget.ConstraintLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginStart="14dp"
            android:layout_marginTop="12dp"
            android:layout_marginEnd="14dp"
            android:background="@drawable/shape_8dp_white"
            android:orientation="vertical"
            android:paddingTop="10dp"
            android:paddingBottom="10dp"
            app:layout_constraintTop_toBottomOf="@+id/cs_menu_usually">

            <TextView
                android:id="@+id/tv_help"
                style="@style/me_btn_style"
                android:text="帮助中心"
                android:visibility="visible"
                app:layout_constraintLeft_toLeftOf="@+id/tv_equipment_testing"
                app:layout_constraintTop_toBottomOf="@+id/tv_equipment_testing" />

            <TextView
                android:id="@+id/tv_feedback"
                style="@style/me_btn_style"
                android:text="意见反馈"
                android:visibility="visible"
                app:layout_constraintLeft_toLeftOf="@+id/tv_help"
                app:layout_constraintTop_toBottomOf="@+id/tv_help" />

            <TextView
                android:id="@+id/tv_contact_us"
                style="@style/me_btn_style"
                android:text="联系我们"
                android:visibility="visible"
                app:layout_constraintLeft_toLeftOf="@+id/tv_help"
                app:layout_constraintTop_toBottomOf="@+id/tv_help" />
        </LinearLayout>
    </androidx.constraintlayout.widget.ConstraintLayout>
</ScrollView>